eth_newPendingTransactionFilter

Xlayer API - Creates a filter in the node, to notify when new pending transactions arrive.To check if the state has changed, call eth_getFilterChanges``

Parameters

none


Returns

QUANTITY - A filter id.


Example

Request

curl https://Xlayer-mainnet.unifra.io/v1/your-api-key \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_newPendingTransactionFilter","params":[],"id":0}'
URL: https://Xlayer-mainnet.unifra.io/v1/your-api-key
RequestType: POST
Body:
{
  "jsonrpc":"2.0",
  "method":"eth_newPendingTransactionFilter",
  "params":[],
  "id":0
}

Result

{
  "jsonrpc": "2.0",
  "id": 0,
  "result": "0x060000000000000018e2be347b6880f2"
}
Path Params
string
required
Body Params
string
required
Defaults to 2.0
string
enum
required
Defaults to eth_getLogs
Allowed:
params
array
length between 0 and 1

Per method: getFilterChanges/getFilterLogs/uninstallFilter: [filterId]; newPendingTransactionFilter/newBlockFilter: []; newFilter: [filterObject]; getLogs: [filterObject].

params
int32
required
Defaults to 0
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json